# CYapfSegmentCostCacheNoneT< Types > Class Template Reference

CYapfSegmentCostCacheNoneT - the formal only yapf cost cache provider that implements PfNodeCacheFetch() and PfNodeCacheFlush() callbacks. More...

`#include <yapf_costcache.hpp>`

Inheritance diagram for CYapfSegmentCostCacheNoneT< Types >:

## Public Types
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::NodeList::Titem | Node
| this will be our node type
## Public Member Functions
FORCEINLINE bool | PfNodeCacheFetch (Node &n)
| Called by YAPF to attach cached or local segment cost data to the given node.
FORCEINLINE void | PfNodeCacheFlush (Node &n)
| Called by YAPF to flush the cached segment cost data back into cache storage.

## Detailed Description

### template<class Types>
class CYapfSegmentCostCacheNoneT< Types >

CYapfSegmentCostCacheNoneT - the formal only yapf cost cache provider that implements PfNodeCacheFetch() and PfNodeCacheFlush() callbacks.

Used when nodes don't have CachedData defined (they don't count with any segment cost caching).

Definition at line 23 of file yapf_costcache.hpp.

## Member Function Documentation

template<class Types >

FORCEINLINE bool CYapfSegmentCostCacheNoneT< Types >::PfNodeCacheFetch | ( | Node & | n | ) | `[inline]`

Called by YAPF to attach cached or local segment cost data to the given node.

Returns:
  true if globally cached data were used or false if local data was used

Definition at line 33 of file yapf_costcache.hpp.

template<class Types >

FORCEINLINE void CYapfSegmentCostCacheNoneT< Types >::PfNodeCacheFlush | ( | Node & | n | ) | `[inline]`

Called by YAPF to flush the cached segment cost data back into cache storage.

Current cache implementation doesn't use that.

Definition at line 42 of file yapf_costcache.hpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_costcache.hpp